linux: 3.0.0-16.29 -proposed tracker

Bug #931661 reported by Herton R. Krzesinski on 2012-02-13
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Herton R. Krzesinski
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.0.0-16.29 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 13. February 2012 20:15 UTC
kernel-stable-Prepare-package-end:Wednesday, 15. February 2012 03:34 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 15. February 2012 03:34 UTC
kernel-stable-Promote-to-proposed-end:Friday, 17. February 2012 10:17 UTC
kernel-stable-Verification-testing-start:Friday, 17. February 2012 10:17 UTC
kernel-stable-Verification-testing-end:Monday, 27. February 2012 13:00 UTC
kernel-stable-Certification-testing-start:Monday, 27. February 2012 13:00 UTC
kernel-stable-Security-signoff-start:Monday, 27. February 2012 13:01 UTC
kernel-stable-Regression-testing-start:Monday, 27. February 2012 13:01 UTC
kernel-stable-Regression-testing-end:Tuesday, 28. February 2012 01:30 UTC
kernel-stable-Security-signoff-end:Tuesday, 28. February 2012 09:00 UTC
kernel-stable-Promote-to-updates-start:Thursday, 08. March 2012 10:00 UTC
kernel-stable-Certification-testing-end:Thursday, 08. March 2012 10:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Thursday, 08. March 2012 14:00 UTC
kernel-stable-Promote-to-updates-end:Thursday, 08. March 2012 14:00 UTC

tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: oneiric
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 932512

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-oneiric (lucid) - bug 932514

description: updated
Martin Pitt (pitti) on 2012-02-17
Changed in linux (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2012-02-17
description: updated
Herton R. Krzesinski (herton) wrote :

All SRUs verified.

Brad Figg (brad-figg) on 2012-02-27
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-02-28
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-02-28
description: updated

Hardware Certification has started testing this kernel.

Hardware Certification have completed testing 53/55 systems with this -proposed kernel. Apologies for the delay, we've had a large burden on our labs and a few teething issues with new tests added, but from the results that have come in we don't detect any regressions. The report, as usual is available at: http://people.canonical.com/~hwcert/sru-testing/wk09_2012/oneiric-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2012-03-08
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (12.3 KiB)

This bug was fixed in the package linux - 3.0.0-16.29

---------------
linux (3.0.0-16.29) oneiric-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #931661

  [ James M. Leddy ]

  * SAUCE: Bluetooth: Add support for BCM20702A0 [0a5c:21e6]
    - LP: #906832

  [ Manoj Iyer ]

  * SAUCE: Bluetooth: Add support for BCM20702A0 [0a5c:21e1]
    - LP: #906832

  [ Merlin Schumacher ]

  * SAUCE: acer-wmi: support for P key on TM8372
    - LP: #865807

  [ Tim Gardner ]

  * SAUCE: Add vendor specific ID (0a5c 21f3) for BCM20702A0
    - LP: #925552

  [ Upstream Kernel Changes ]

  * Revert "(pre-stable) HID: bump maximum global item tag report size to
    96 bytes"
    - LP: #922799
  * Revert "Revert "proc: enable writing to /proc/pid/mem""
    - LP: #922799
  * mtdoops: fix the oops_page_used array size
    - LP: #922799
  * mtd: mtdoops: skip reading initially bad blocks
    - LP: #922799
  * mtd: mtd_blkdevs: don't increase 'open' count on error path
    - LP: #922799
  * mtd: tests: stresstest: bail out if device has not enough eraseblocks
    - LP: #922799
  * drivers/rtc/interface.c: fix alarm rollover when day or month is
    out-of-range
    - LP: #922799
  * ext4: fix undefined behavior in ext4_fill_flex_info()
    - LP: #922799
  * ALSA: snd-usb-us122l: Delete calls to preempt_disable
    - LP: #922799
  * ALSA: ice1724 - Check for ac97 to avoid kernel oops
    - LP: #922799
  * ALSA: hda - Return the error from get_wcaps_type() for invalid NIDs
    - LP: #922799
  * drm/radeon/kms: workaround invalid AVI infoframe checksum issue
    - LP: #922799
  * drm/radeon/kms: disable writeback on pre-R300 asics
    - LP: #922799
  * radeon: Fix disabling PCI bus mastering on big endian hosts.
    - LP: #922799
  * NFS: Retry mounting NFSROOT
    - LP: #922799
  * NFSv4.1: fix backchannel slotid off-by-one bug
    - LP: #922799
  * nfs: fix regression in handling of context= option in NFSv4
    - LP: #922799
  * HID: bump maximum global item tag report size to 96 bytes
    - LP: #724831, #922799
  * UBI: fix missing scrub when there is a bit-flip
    - LP: #922799
  * UBI: fix use-after-free on error path
    - LP: #922799
  * PCI: Fix PCI_EXP_TYPE_RC_EC value
    - LP: #922799
  * PCI: msi: Disable msi interrupts when we initialize a pci device
    - LP: #922799
  * x86/PCI: Ignore CPU non-addressable _CRS reserved memory resources
    - LP: #922799
  * x86/PCI: build amd_bus.o only when CONFIG_AMD_NB=y
    - LP: #922799
  * SCSI: mpt2sas: Release spinlock for the raid device list before
    blocking it
    - LP: #922799
  * SCSI: mpt2sas : Fix for memory allocation error for large host credits
    - LP: #922799
  * xen/xenbus: Reject replies with payload > XENSTORE_PAYLOAD_MAX.
    - LP: #922799
  * ima: free duplicate measurement memory
    - LP: #922799
  * ima: fix invalid memory reference
    - LP: #922799
  * rtl8192se: Fix BUG caused by failure to check skb allocation
    - LP: #922799
  * mac80211: fix rx->key NULL pointer dereference in promiscuous mode
    - LP: #922799
  * memcg: add mem_cgroup_replace_page_cache() to fix LRU issue
    - LP: #922799
  * x86: Fix mmap random address range
    - LP: #92...

Changed in linux (Ubuntu Oneiric):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers